Page MenuHomePhabricator

Request creation of graphql VPS project
Closed, ResolvedPublic

Description

Project Name: graphql (https://graphql.wmflabs.org)

Wikitech Usernames of requestors: @dbarratt & @Tpt

Purpose: A GraphQL Query Service that allows access to all of Wikimedia's APIs from a single endpoint.

Brief description: We're working on building a GraphQL Query Service across all of Wikimedia's APIs. See T173214. The only software that I think will be needed is Docker, Docker Compose, and Git. If I have root access I can install this myself. :) I'd like to run this on a VPS so the latest version of node.js can be used. There might be some other containers that could be helpful (a http caching proxy?) but we haven't gotten that far yet. :)

How soon you are hoping this can be fulfilled: this quarter

Event Timeline

dbarratt created this task.Aug 23 2018, 5:06 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 23 2018, 5:06 AM
dbarratt renamed this task from Request creation of <PROJECT-NAME> VPS project to Request creation of graphql VPS project.Aug 23 2018, 5:07 AM
dbarratt updated the task description. (Show Details)Aug 23 2018, 5:09 AM
dbarratt updated the task description. (Show Details)
dbarratt updated the task description. (Show Details)Aug 27 2018, 1:40 PM
Andrew added a subscriber: Andrew.Aug 28 2018, 3:41 PM

Seems reasonable -- approved

bd808 added a subscriber: bd808.Aug 28 2018, 4:00 PM
$ openstack project create --enable --description "A GraphQL Query Service that allows access to all of Wikimedia's APIs from a single endpoint" graphql
+-------------+----------------------------------------------------------------------------------------------+
| Field       | Value                                                                                        |
+-------------+----------------------------------------------------------------------------------------------+
| description | A GraphQL Query Service that allows access to all of Wikimedia's APIs from a single endpoint |
| domain_id   | default                                                                                      |
| enabled     | True                                                                                         |
| id          | graphql                                                                                      |
| is_domain   | False                                                                                        |
| name        | graphql                                                                                      |
| parent_id   | default                                                                                      |
+-------------+----------------------------------------------------------------------------------------------+
$ openstack role add --user dbarratt --project graphql projectadmin
$ openstack role add --user tpt --project graphql projectadmin
$ openstack role assignment list --project graphql --names
+--------------+----------------------+-------+-----------------+--------+-----------+
| Role         | User                 | Group | Project         | Domain | Inherited |
+--------------+----------------------+-------+-----------------+--------+-----------+
| projectadmin | Dbarratt@Default     |       | graphql@Default |        | False     |
| projectadmin | novaadmin@Default    |       | graphql@Default |        | False     |
| user         | novaadmin@Default    |       | graphql@Default |        | False     |
| observer     | Novaobserver@Default |       | graphql@Default |        | False     |
| projectadmin | Tpt@Default          |       | graphql@Default |        | False     |
+--------------+----------------------+-------+-----------------+--------+-----------+

Mentioned in SAL (#wikimedia-cloud) [2018-08-28T16:01:39Z] <bd808> Created project and set dbarratt and tpt as admins (T202603)

bd808 assigned this task to Andrew.Aug 28 2018, 4:03 PM

Project has been created. @Andrew would like to work with @dbarratt & @Tpt to make this project's instances live in the new eqiad1 region that we will be migrating all other projects to in the near future. This may delay the ability to use a web proxy for a few days.

Andrew closed this task as Resolved.Sep 3 2018, 5:31 PM

I apologize -- I'm not ready to create your VMs in the new region, so you should go ahead and create things in eqiad as usual.